package de.fhdw.wtf.persistence.exception;

import java.sql.SQLException;

/**
 * Der Eintrag existiert bereits.
 */
public class DuplicateEntryException extends PersistenceException {
	/**
	 * Error nummer of the Oracle UserException.
	 */
	public static final int ERRORCODE = 20009;
	
	/**
	 * the message of the exception.
	 */
	private static final String DUPLICATE_ENTRY_MESSAGE = "The entry already exists";
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	/**
	 * Konstruktor der die entsprechende Fehlermeldung zur�ckgibt.
	 * 
	 * @param nestedException
	 *            TODO
	 */
	public DuplicateEntryException(final SQLException nestedException) {
		super(DUPLICATE_ENTRY_MESSAGE, nestedException);
	}
}
